@echo off


if [%OSHAL%] == [32] (

if exist "%SystemRoot%\System32\OsdRemove.exe" "%SystemRoot%\System32\OsdRemove.exe" -s

setup.exe -s

) else (

if exist "%SystemRoot%\System32\OsdRemove64.exe" "%SystemRoot%\System32\OsdRemove64.exe" -s

setup64.exe -s

C:\WINDOWS\REGEDIT.EXE /S "Misc\x64\osd.reg"

) 


